Botan 2.19.5 Crypto and TLS for C&

Namespaces | Functions
tls_record.cpp File Reference
`#include <botan/internal/tls_record.h>`
`#include <botan/tls_ciphersuite.h>`
`#include <botan/tls_exceptn.h>`
`#include <botan/loadstor.h>`
`#include <botan/internal/tls_seq_numbers.h>`
`#include <botan/internal/tls_session_key.h>`
`#include <botan/internal/rounding.h>`
`#include <botan/internal/ct_utils.h>`
`#include <botan/rng.h>`

Go to the source code of this file.

## Namespaces
namespace | Botan
namespace | Botan::TLS

## Functions
Record_Header | Botan::TLS::read_record (bool is_datagram, secure_vector< uint8_t > &readbuf, const uint8_t input[], size_t input_len, size_t &consumed, secure_vector< uint8_t > &recbuf, Connection_Sequence_Numbers *sequence_numbers, get_cipherstate_fn get_cipherstate, bool allow_epoch0_restart)
void | Botan::TLS::write_record (secure_vector< uint8_t > &output, uint8_t record_type, Protocol_Version version, uint64_t record_sequence, const uint8_t *message, size_t message_len, Connection_Cipher_State &cs, RandomNumberGenerator &rng)
void | Botan::TLS::write_unencrypted_record (secure_vector< uint8_t > &output, uint8_t record_type, Protocol_Version version, uint64_t record_sequence, const uint8_t *message, size_t message_len)